import dayjs from 'dayjs';
/**
 * 格式化日期到购物车
 * @param date 开始时间和结束时间
 * @returns 格式化后的日期
 */
export var formatDateToCartItem = function formatDateToCartItem(params) {
  var cartItem = params.cartItem,
    date = params.date;
  cartItem.start_date = dayjs(date.startTime).format('YYYY-MM-DD');
  cartItem.start_time = dayjs(date.startTime).format('HH:mm');
  cartItem.end_date = dayjs(date.endTime).format('YYYY-MM-DD');
  cartItem.end_time = dayjs(date.endTime).format('HH:mm');
  var oringin = formatDateToCartItemOrigin(params);
  cartItem._origin = oringin;
  return cartItem;
};

/**
 * 格式化日期到购物车原始数据
 * @param date 开始时间和结束时间
 * @returns 格式化后的日期原始数据
 */
export var formatDateToCartItemOrigin = function formatDateToCartItemOrigin(params) {
  var cartItem = params.cartItem,
    date = params.date;
  var origin = cartItem._origin;
  origin.select_date = dayjs(date.startTime).format('YYYY-MM-DD');
  origin.start_date = dayjs(date.startTime).format('YYYY-MM-DD');
  origin.start_time = dayjs(date.startTime).format('HH:mm');
  origin.end_date = dayjs(date.endTime).format('YYYY-MM-DD');
  origin.end_time = dayjs(date.endTime).format('HH:mm');
  return origin;
};

/**
 * 从购物车中删除时间
 * @param cartItem 购物车
 * @returns 删除后的购物车
 */
export var deleteTimeFromCartItem = function deleteTimeFromCartItem(cartItem) {
  var _cartItem$osWarnTips;
  // 删除UI层的数据
  cartItem.start_date = undefined;
  cartItem.start_time = undefined;
  cartItem.end_date = undefined;
  cartItem.end_time = undefined;

  // 删除原始数据
  cartItem._origin.select_date = null;
  cartItem._origin.start_date = null;
  cartItem._origin.start_time = null;
  cartItem._origin.end_date = null;
  cartItem._origin.end_time = null;

  // 同时清空 osWarnTips 中的关于时间的提示
  cartItem.osWarnTips = (_cartItem$osWarnTips = cartItem.osWarnTips) === null || _cartItem$osWarnTips === void 0 ? void 0 : _cartItem$osWarnTips.filter(function (item) {
    return !item.includes('pisell2.product.card.closing-soon.warning');
  });
  return cartItem;
};